//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Platform.Model
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("ChiTietDonMuaHang")]
    public partial class ChiTietDonMuaHang
    {
        [Key]
        public int MaCTDMH { get; set; }
        public string MaDonMuaHang { get; set; }
        public string MaHang { get; set; }
        public Nullable<double> SoLuong { get; set; }
        public Nullable<double> SoLuongNhan { get; set; }
        public Nullable<double> DonGia { get; set; }
        public Nullable<double> ThanhTien { get; set; }
        public Nullable<double> ThueGTGT { get; set; }
        public Nullable<double> TienThueGTGT { get; set; }
        public string LenhSanXuat { get; set; }
        public string ThanhPham { get; set; }

        public virtual DonMuaHang DonMuaHang { get; set; }
        public virtual HangHoa HangHoa { get; set; }
    }
}
